Create an AI Gateway group
POST /api/ai_gateway_groups
POST /api/ai_gateway_groupsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "$API_BASE_URL/api/ai_gateway_groups" \ -H "Content-Type: application/json" \ -d '{ "name": "us-west-rsc" }'Successfully retrieved or modified the AI Gateway group.
{
"value": {
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"name": "us-west-rsc",
"description": "My AI Gateway group.",
"config": {
"image_tag": "latest"
},
"created_at": 1742288232,
"updated_at": 1742288235
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
POST /api/ai_gateway_groups
Create an AI Gateway group
IAM Action: ai_gateway:CreateAIGatewayGroup, Resource: arn:api7:ai_gateway:aigatewaygroup/*
Creates a new AI Gateway group (AISIX cluster).
Parameters
Request body
Content type: application/json
name(string, required): The object name.description(string, optional): AI Gateway group description.config(object, optional): Configuration for the AI Gateway group.config.image_tag(string, optional): The AISIX (AI Gateway) image tag to deploy.
Responses
200: Successfully retrieved or modified the AI Gateway group.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):value.id(string, optional): The object ID.value.name(string, optional): The object name.value.description(string, optional): AI Gateway group description.value.config(object, optional): Configuration for the AI Gateway group.value.config.image_tag(string, optional): The AISIX (AI Gateway) image tag to deploy.value.created_at(integer, optional): The object created timestamp.value.updated_at(integer, optional): The object updated timestamp.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X POST '$API_BASE_URL/api/ai_gateway_groups'